//+------------------------------------------------------------------+
//|                                             Trend Analysis 2.mq4 |
//|                                 Copyright  2010, Tretyakov Ivan |   BBP = AOC = MCD
//|                                 http://www.mql5.com/ru/code/9699 |
//+------------------------------------------------------------------+
//============================== Turbo_JRSX
//Trend Analysis v 3.1 = http://www.mql5.com/ru/forum/27456
//  Blok-1  / 14 -    / 15 - Trend / 16 - Pivots   / Table3 - Balance
// CreateValues -   /  / 
//     ,  UP>50       DOWN>50     .
//      0>1  0>=0.0001   <0>       Sum Sus
#property copyright "Copyright  2010, Tretyakov Ivan"
#property link      "Tretyak-Off@Inbox.Ru"
#property strict
#property indicator_separate_window 
#property indicator_minimum 0
#property indicator_maximum 1
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

//extern bool Monitor=false;  //     
extern string ind="______________ Cur-6 Trn-6 All=12 ______________";
extern bool UseCure=true,UseTrend=true; extern int Ind=26;
extern int ENV=10; extern int IMA=14; extern int RSX=14;
extern int FOR=14; extern int ADX=10; extern int BBP=14;
extern int STO=5; extern int OSM=9; extern int MCD=7; extern bool UseDivirg=false; extern int Periods=9;
extern int CCI=14; extern int MFI=14; extern int ATN=14; extern int WPR=28;
//---
double Levenv;
double Levtvi;
double Levfor;
double Levbbp;
double Levmcd;
double Levosm;
//---
color TextColor=Orange;
color SeparColor=Silver;
color fstUpColor=StringToColor("80,80,255");
color fstDwColor=StringToColor("255,80,80");
color slwUpColor=Blue;
color slwDwColor=Red;
color drkUpColor=StringToColor("0,0,213");
color drkDwColor=StringToColor("213,0,0");

//   
int CodeBuy=228;
int CodeSell=230;

double UPBuffer[];
double DOWNBuffer[];
//---- global varibles     =0 =1 ( 19)
string PeriodString[]={"Fast ","Slow "};
string Indicators[]={"ENV","IMA","RSX","FOR","ADX","BBP","STO","OSM","MCD","CCI","MFI","ATN","WPR","M.15","M.30","M.60","H.04"};
//   // Find 
//1 -     ObjectSetText("s"+5+2....  
//2 -         = ObjectSetText("s"+5...   
//3 -          0-10  for(.... i<11;
//4 -  string Indicators[]={"IMA","ENV","TVI","STD","FOR","ADX"};
//   : //2 Find - PeriodString[]={"Fast ","Slow ",""}; -    i<=1;   i<=2;

string ShortName="Trend Analysis";
static int count;
int x,y,i,j;
string name;
//   W.1 = PeriodString /    S (..FIND) i<=6;  12 /     PERIOD_W1 
//    = PeriodString () /    S -     i<=0;     i<=1; 
//      CreateValues()  "s"+0+0 -         
//    ... "s"+0+0 "s"+0+1 "s"+0+2    RSI ... "s"+1+0 "s"+1+1

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
//(...2083)   = Blok1()  / 2-14   / Table1() Trend / Table2() Pivots / Table3() Balance

void Blok1()
  {
   for(i=0; i<=11; i++)
     {
      switch(i)
        {
         case 0 : y=24; name="+";             break;
         case 1 : y=24+i*8+4*i; name="|";     break;
         case 2 : y=24+i*8+4*i; name="|";    break;
         case 3 : y=24+i*8+4*i; name="|";    break;
         case 4 : y=24+i*8+4*i; name="|";    break;
         case 5 : y=24+i*8+4*i; name="|";    break;
         case 6 : y=24+i*8+4*i; name="|";    break;
         case 7 : y=24+i*8+4*i; name="|";    break;
         case 8 : y=24+i*8+4*i; name="|";    break;
         case 9 : y=24+i*8+4*i; name="+";    break;
         case 10 :y=24+i*8+4*i; name="|";    break;
         case 11 :y=24+i*8+4*i; name="+";    break;
        }
      ObjectCreate("Sep"+0+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+0+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+0+i,OBJPROP_XDISTANCE,0);
      ObjectSet("Sep"+0+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=2; i++)
     {
      switch(i)
        {
         case 0 : y=24; name="---------";             break;
         case 1 : y=24+9*8+4*9; name="---------";     break;
         case 2 : y=24+11*8+4*11; name="---------";    break;
        }
      ObjectCreate("Sep"+1+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+1+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+1+i,OBJPROP_XDISTANCE,8);
      ObjectSet("Sep"+1+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok2()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+9+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+9+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+9+i,OBJPROP_XDISTANCE,64+8);
      ObjectSet("Sep"+9+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+10+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+10+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+10+i,OBJPROP_XDISTANCE,64+16);
      ObjectSet("Sep"+10+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok3()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+15+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+15+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+15+i,OBJPROP_XDISTANCE,112+8);
      ObjectSet("Sep"+15+i,OBJPROP_YDISTANCE,y);
     }

   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+16+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+16+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+16+i,OBJPROP_XDISTANCE,112+16);
      ObjectSet("Sep"+16+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok4()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+21+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+21+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+21+i,OBJPROP_XDISTANCE,160+8);
      ObjectSet("Sep"+21+i,OBJPROP_YDISTANCE,y);
     }

   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+22+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+22+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+22+i,OBJPROP_XDISTANCE,160+16);
      ObjectSet("Sep"+22+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok5()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+27+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+27+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+27+i,OBJPROP_XDISTANCE,208+8);
      ObjectSet("Sep"+27+i,OBJPROP_YDISTANCE,y);
     }

   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+28+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+28+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+28+i,OBJPROP_XDISTANCE,208+16);
      ObjectSet("Sep"+28+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok6()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+33+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+33+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+33+i,OBJPROP_XDISTANCE,256+8);
      ObjectSet("Sep"+33+i,OBJPROP_YDISTANCE,y);
     }

   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+34+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+34+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+34+i,OBJPROP_XDISTANCE,256+16);
      ObjectSet("Sep"+34+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok7()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+39+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+39+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+39+i,OBJPROP_XDISTANCE,304+8);
      ObjectSet("Sep"+39+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+40+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+40+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+40+i,OBJPROP_XDISTANCE,304+16);
      ObjectSet("Sep"+40+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok8()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+45+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+45+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+45+i,OBJPROP_XDISTANCE,352+8);
      ObjectSet("Sep"+45+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+46+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+46+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+46+i,OBJPROP_XDISTANCE,352+16);
      ObjectSet("Sep"+46+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok9()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+51+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+51+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+51+i,OBJPROP_XDISTANCE,400+8);
      ObjectSet("Sep"+51+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------"; break;
         case 1 : y=2*8+4*2; name="------"; break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+52+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+52+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+52+i,OBJPROP_XDISTANCE,400+16);
      ObjectSet("Sep"+52+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok10()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+57+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+57+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+57+i,OBJPROP_XDISTANCE,448+8);
      ObjectSet("Sep"+57+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+58+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+58+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+58+i,OBJPROP_XDISTANCE,448+16);
      ObjectSet("Sep"+58+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok11()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+63+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+63+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+63+i,OBJPROP_XDISTANCE,496+8);
      ObjectSet("Sep"+63+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+64+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+64+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+64+i,OBJPROP_XDISTANCE,496+16);
      ObjectSet("Sep"+64+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok12()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+69+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+69+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+69+i,OBJPROP_XDISTANCE,544+8);
      ObjectSet("Sep"+69+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+70+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+70+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+70+i,OBJPROP_XDISTANCE,544+16);
      ObjectSet("Sep"+70+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok13()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+75+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+75+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+75+i,OBJPROP_XDISTANCE,592+8);
      ObjectSet("Sep"+75+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+76+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+76+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+76+i,OBJPROP_XDISTANCE,592+16);
      ObjectSet("Sep"+76+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok14()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+81+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+81+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+81+i,OBJPROP_XDISTANCE,640+8);
      ObjectSet("Sep"+81+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+82+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+82+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+82+i,OBJPROP_XDISTANCE,640+16);
      ObjectSet("Sep"+82+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok15()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+90+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+90+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+90+i,OBJPROP_XDISTANCE,688+8);
      ObjectSet("Sep"+90+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------"; break;
         case 1 : y=2*8+4*2; name="------"; break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+91+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+91+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+91+i,OBJPROP_XDISTANCE,688+16);
      ObjectSet("Sep"+91+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok16()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+92+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+92+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+92+i,OBJPROP_XDISTANCE,736+8);
      ObjectSet("Sep"+92+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+93+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+93+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+93+i,OBJPROP_XDISTANCE,736+16);
      ObjectSet("Sep"+93+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok17()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+94+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+94+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+94+i,OBJPROP_XDISTANCE,784+8);
      ObjectSet("Sep"+94+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+95+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+95+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+95+i,OBJPROP_XDISTANCE,784+16);
      ObjectSet("Sep"+95+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok18()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+96+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+96+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+96+i,OBJPROP_XDISTANCE,832+8);
      ObjectSet("Sep"+96+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+97+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+97+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+97+i,OBJPROP_XDISTANCE,832+16);
      ObjectSet("Sep"+97+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok19()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+98+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+98+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+98+i,OBJPROP_XDISTANCE,880+8);
      ObjectSet("Sep"+98+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+99+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+99+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+99+i,OBJPROP_XDISTANCE,880+16);
      ObjectSet("Sep"+99+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok20()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+101+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+101+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+101+i,OBJPROP_XDISTANCE,928+8);
      ObjectSet("Sep"+101+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+102+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+102+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+102+i,OBJPROP_XDISTANCE,928+16);
      ObjectSet("Sep"+102+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok21()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+103+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+103+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+103+i,OBJPROP_XDISTANCE,976+8);
      ObjectSet("Sep"+103+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+104+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+104+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+104+i,OBJPROP_XDISTANCE,976+16);
      ObjectSet("Sep"+104+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void Blok22()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Sep"+105+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+105+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+105+i,OBJPROP_XDISTANCE,1025+8);
      ObjectSet("Sep"+105+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------";             break;
         case 1 : y=2*8+4*2; name="------";    break;
         case 2 :y=11*8+4*11; name="------";    break;
         case 3 :y=12+ 12*8+4*12; name="------";    break;
        }
      ObjectCreate("Sep"+106+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Sep"+106+i,name,8,"Verdana",SeparColor);
      ObjectSet("Sep"+106+i,OBJPROP_XDISTANCE,1025+16);
      ObjectSet("Sep"+106+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//------------------------------------------------------------------------------------------------ Table1() Trend
void Table1()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="+";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Bl"+0+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Bl"+0+i,name,8,"Verdana",SeparColor);
      ObjectSet("Bl"+0+i,OBJPROP_XDISTANCE,1032+8);
      ObjectSet("Bl"+0+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=4; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="---------";  break;
         case 1 : y=2*8+4*2; name="---------"; break;
         case 2 :y=5*8+4*5; name="---------";    break;
         case 3 :y=11*8+4*11; name="---------";    break;
         case 4 :y=12+ 12*8+4*12; name="---------";  break;
        }
      ObjectCreate("Bl"+1+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Bl"+1+i,name,8,"Verdana",SeparColor);
      ObjectSet("Bl"+1+i,OBJPROP_XDISTANCE,1040+16);
      ObjectSet("Bl"+1+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
//////////////////////---------------------------------------------------------------------------- Table2() Pivots
void Table2()
  {
   for(i=0; i<=12; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";             break;
         case 1 : y=i*8+4*i; name="|";     break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="+";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=12+i*8+4*i; name="-";    break;
        }
      ObjectCreate("Bl"+9+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Bl"+9+i,name,8,"Verdana",SeparColor);
      ObjectSet("Bl"+9+i,OBJPROP_XDISTANCE,1113+8);
      ObjectSet("Bl"+9+i,OBJPROP_YDISTANCE,y);
     }

   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="----------";             break;
         case 1 : y=2*8+4*2; name="----------";    break;
         case 2 :y=11*8+4*11; name="----------";    break;
         case 3 :y=12+ 12*8+4*12; name="----------";    break;
        }
      ObjectCreate("Bl"+10+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Bl"+10+i,name,8,"Verdana",SeparColor);
      ObjectSet("Bl"+10+i,OBJPROP_XDISTANCE,1120+16);
      ObjectSet("Bl"+10+i,OBJPROP_YDISTANCE,y);
     }

   for(i=0; i<=13; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";         break;
         case 1 : y=i*8+4*i; name="|";   break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=i*8+4*i; name="|"; break;
         case 13 :y=i*8+4*i; name="+";    break;
        }
      ObjectCreate("Bl"+20+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Bl"+20+i,name,8,"Verdana",SeparColor);
      ObjectSet("Bl"+20+i,OBJPROP_XDISTANCE,1122+64+32);
      ObjectSet("Bl"+20+i,OBJPROP_YDISTANCE,y);
     }
   return;
  }
////////////////////////----------------------------------------------------------------------------- Table3() Balance
//   name= + - |     Bl 32
void Table3()
  {
   for(i=0; i<=13; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";         break;
         case 1 : y=i*8+4*i; name="|";   break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=i*8+4*i; name="|"; break;
         case 13 :y=i*8+4*i; name="+";    break;
        }
      ObjectCreate("Bl"+21+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Bl"+21+i,name,8,"Verdana",SeparColor);
      ObjectSet("Bl"+21+i,OBJPROP_XDISTANCE,1205+16);
      ObjectSet("Bl"+21+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=3; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="------------";             break;
         case 1 : y=2*8+4*2; name="------------";    break;
         case 2 :y=11*8+4*11; name="------------";    break;
         case 3 :y=12+ 12*8+4*12; name="------------";    break;
        }
      ObjectCreate("Bl"+22+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Bl"+22+i,name,8,"Verdana",SeparColor);
      ObjectSet("Bl"+22+i,OBJPROP_XDISTANCE,1190+16+8);
      ObjectSet("Bl"+22+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=13; i++)
     {
      switch(i)
        {
         case 0 : y=0; name="+";          break;
         case 1 : y=i*8+4*i; name="|";    break;
         case 2 : y=i*8+4*i; name="+";    break;
         case 3 : y=i*8+4*i; name="|";    break;
         case 4 : y=i*8+4*i; name="|";    break;
         case 5 : y=i*8+4*i; name="|";    break;
         case 6 : y=i*8+4*i; name="|";    break;
         case 7 : y=i*8+4*i; name="|";    break;
         case 8 : y=i*8+4*i; name="|";    break;
         case 9 : y=i*8+4*i; name="|";    break;
         case 10 :y=i*8+4*i; name="|";    break;
         case 11 :y=i*8+4*i; name="+";    break;
         case 12 :y=i*8+4*i; name="|";    break;
         case 13 :y=i*8+4*i; name="+";    break;
        }
      ObjectCreate("Bl"+32+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("Bl"+32+i,name,8,"Verdana",SeparColor);
      ObjectSet("Bl"+32+i,OBJPROP_XDISTANCE,1205+64+32+8);
      ObjectSet("Bl"+32+i,OBJPROP_YDISTANCE,y);
     }

   return;
  }
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//  Blok-1  / 14 -    / 15 - Trend / 16 - Pivots   / Table3 - Balance
int CreateTable()
  {
   Blok1(); //y=24 x=8
   Blok2(); //x=64+16
   Blok3(); //x=112+16
   Blok4(); //x=160+16
   Blok5(); //x=208+16
   Blok6(); //x=256+16
   Blok7(); //x=304+16
   Blok8(); //x=352+16
   Blok9();
   Blok10();
   Blok11();
   Blok12();
   Blok13();
   Blok14();
   Blok15();
   Blok16();
   Blok17();
   Blok18();
   Blok19();
   Blok20();
   Blok21();
   Blok22();
   Table1();
   Table2();
   Table3();
   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CreateCaptions()
  {
///////////////////////-------------------------------------------------------   i<13;   +1
//3 -          0-10  for(.... i<11;
   for(i=0; i<17; i++)
     {
      switch(i)
        {
         case 0:x=64+16;break;
         case 1:x=112+16;break;
         case 2:x=160+16;break;
         case 3:x=208+16;break;
         case 4:x=256+16;break;
         case 5:x=256+16+48; break;
         case 6:x=256+16+48*2; break;
         case 7:x=256+16+48*3; break;
         case 8:x=256+16+48*4; break;
         case 9:x=256+16+48*5; break;
         case 10:x=256+16+48*(i-4); break;
         case 11:x=256+16+48*(i-4); break;
         case 12:x=256+16+48*(i-4); break;
         case 13:x=256+16+48*(i-4); break;
         case 14:x=256+16+48*(i-4); break;
         case 15:x=256+16+48*(i-4); break;
         case 16:x=256+16+48*(i-4); break;
        }
      ObjectCreate(Indicators[i],OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText(Indicators[i],Indicators[i],8,"Verdana",TextColor);
      ObjectSet(Indicators[i],OBJPROP_XDISTANCE,x);
      ObjectSet(Indicators[i],OBJPROP_YDISTANCE,8+4);
     }
/////////////////////////---------------------------------------------------------------  Trend Pivots Balance
   ObjectCreate("TrendInfo",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("TrendInfo","Trend",8,"Verdana",TextColor);
   ObjectSet("TrendInfo",OBJPROP_XDISTANCE,1040+30);
   ObjectSet("TrendInfo",OBJPROP_YDISTANCE,8+4);

   ObjectCreate("PivotsInfo",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("PivotsInfo","Pivots",8,"Verdana",TextColor);
   ObjectSet("PivotsInfo",OBJPROP_XDISTANCE,1120+38);
   ObjectSet("PivotsInfo",OBJPROP_YDISTANCE,8+4);

   ObjectCreate("BalanceInfo",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("BalanceInfo","Balance",8,"Verdana",TextColor);
   ObjectSet("BalanceInfo",OBJPROP_XDISTANCE,1200+40);
   ObjectSet("BalanceInfo",OBJPROP_YDISTANCE,8+4);

//    S = 1  2 IMA S+0 DEM S+12
//     .     i<=0;     i<=1;     
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate(PeriodString[i],OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText(PeriodString[i],PeriodString[i],8,"Verdana",TextColor);
      ObjectSet(PeriodString[i],OBJPROP_XDISTANCE,8);
      ObjectSet(PeriodString[i],OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+0+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+0+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+0+i,OBJPROP_XDISTANCE,64+32);
      ObjectSet("S"+0+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+1+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+1+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+1+i,OBJPROP_XDISTANCE,64+32+48);
      ObjectSet("S"+1+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+2+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+2+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+2+i,OBJPROP_XDISTANCE,64+32+48*2);
      ObjectSet("S"+2+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+3+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+3+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+3+i,OBJPROP_XDISTANCE,64+32+48*3);
      ObjectSet("S"+3+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+4+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+4+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+4+i,OBJPROP_XDISTANCE,64+32+48*4);
      ObjectSet("S"+4+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+5+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+5+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+5+i,OBJPROP_XDISTANCE,64+32+48*5);
      ObjectSet("S"+5+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+6+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+6+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+6+i,OBJPROP_XDISTANCE,64+32+48*6);
      ObjectSet("S"+6+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+7+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+7+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+7+i,OBJPROP_XDISTANCE,64+32+48*7);
      ObjectSet("S"+7+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+8+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+8+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+8+i,OBJPROP_XDISTANCE,64+32+48*8);
      ObjectSet("S"+8+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+9+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+9+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+9+i,OBJPROP_XDISTANCE,64+32+48*9);
      ObjectSet("S"+9+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+10+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+10+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+10+i,OBJPROP_XDISTANCE,64+32+48*10);
      ObjectSet("S"+10+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+11+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+11+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+11+i,OBJPROP_XDISTANCE,64+32+48*11);
      ObjectSet("S"+11+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+12+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+12+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+12+i,OBJPROP_XDISTANCE,64+32+48*12);
      ObjectSet("S"+12+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+13+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+13+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+13+i,OBJPROP_XDISTANCE,64+32+48*13);
      ObjectSet("S"+13+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+14+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+14+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+14+i,OBJPROP_XDISTANCE,64+32+48*14);
      ObjectSet("S"+14+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+15+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+15+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+15+i,OBJPROP_XDISTANCE,64+32+48*15);
      ObjectSet("S"+15+i,OBJPROP_YDISTANCE,y);
     }
   for(i=0; i<=1; i++)
     {
      y=24+(i+1)*8+4*(i+1);
      ObjectCreate("S"+16+i,OBJ_LABEL,WindowFind(ShortName),0,0);
      ObjectSetText("S"+16+i,"S",8,"Verdana",Gray);
      ObjectSet("S"+16+i,OBJPROP_XDISTANCE,64+32+48*16);
      ObjectSet("S"+16+i,OBJPROP_YDISTANCE,y);
     }
//2 -         = ObjectSetText("s"+5...   
//---
//  :   Per,  Label,  Trend,     
//////////////////-------------------------------------------------------------  
   ObjectCreate("UpLabel",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("UpLabel",CharToStr(CodeBuy),8,"Wingdings",SteelBlue);
   ObjectSet("UpLabel",OBJPROP_XDISTANCE,1050+8*2-2);
   ObjectSet("UpLabel",OBJPROP_YDISTANCE,24+8+4);
///////////////////------------------------------------------------------------  
   ObjectCreate("UpPer",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("UpPer",OBJPROP_XDISTANCE,1035+8*7-2);
   ObjectSet("UpPer",OBJPROP_YDISTANCE,24+8+4);
//////////////////--------------------------------------------------------------  
   ObjectCreate("DownLabel",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("DownLabel",CharToStr(CodeSell),8,"Wingdings",Magenta);
   ObjectSet("DownLabel",OBJPROP_XDISTANCE,1050+8*2-2);
   ObjectSet("DownLabel",OBJPROP_YDISTANCE,24+8*2+4*2);
///////////////////--------------------------------------------------------------  
   ObjectCreate("DwPer",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("DwPer",OBJPROP_XDISTANCE,1035+8*7-2);
   ObjectSet("DwPer",OBJPROP_YDISTANCE,24+8*2+4*2);
////////////////////-------------------------------------------------------------  
   ObjectCreate("Trend",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("Trend",OBJPROP_XDISTANCE,1040+8*5);
   ObjectSet("Trend",OBJPROP_YDISTANCE,24+8*6+3*6);
///////////////////////////------------------------------------------------------- Start Pivots
   ObjectCreate("R3",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("R3","R3",8,"Verdana",SeparColor);
   ObjectSet("R3",OBJPROP_XDISTANCE,1115+16);
   ObjectSet("R3",OBJPROP_YDISTANCE,24+8+4+6);

   ObjectCreate("R3V",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("R3V",OBJPROP_XDISTANCE,1115+14*3);
   ObjectSet("R3V",OBJPROP_YDISTANCE,24+8+4+6);

   ObjectCreate("R2",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("R2","R2",8,"Verdana",SeparColor);
   ObjectSet("R2",OBJPROP_XDISTANCE,1115+16);
   ObjectSet("R2",OBJPROP_YDISTANCE,24+8*2+4*2+6);

   ObjectCreate("R2V",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("R2V",OBJPROP_XDISTANCE,1115+14*3);
   ObjectSet("R2V",OBJPROP_YDISTANCE,24+8*2+4*2+6);

   ObjectCreate("R1",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("R1","R1",8,"Verdana",SeparColor);
   ObjectSet("R1",OBJPROP_XDISTANCE,1115+16);
   ObjectSet("R1",OBJPROP_YDISTANCE,24+8*3+4*3+6);

   ObjectCreate("R1V",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("R1V",OBJPROP_XDISTANCE,1115+14*3);
   ObjectSet("R1V",OBJPROP_YDISTANCE,24+8*3+4*3+6);

   ObjectCreate("PP",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("PP","PP",8,"Verdana",SeparColor);
   ObjectSet("PP",OBJPROP_XDISTANCE,1115+16);
   ObjectSet("PP",OBJPROP_YDISTANCE,24+8*4+4*4+6);

   ObjectCreate("PPV",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("PPV",OBJPROP_XDISTANCE,1115+14*3);
   ObjectSet("PPV",OBJPROP_YDISTANCE,24+8*4+4*4+6);

   ObjectCreate("S1",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("S1","S1",8,"Verdana",SeparColor);
   ObjectSet("S1",OBJPROP_XDISTANCE,1115+16);
   ObjectSet("S1",OBJPROP_YDISTANCE,24+8*5+4*5+6);

   ObjectCreate("S1V",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("S1V",OBJPROP_XDISTANCE,1115+14*3);
   ObjectSet("S1V",OBJPROP_YDISTANCE,24+8*5+4*5+6);

   ObjectCreate("S2",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("S2","S2",8,"Verdana",SeparColor);
   ObjectSet("S2",OBJPROP_XDISTANCE,1115+16);
   ObjectSet("S2",OBJPROP_YDISTANCE,24+8*6+4*6+6);

   ObjectCreate("S2V",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("S2V",OBJPROP_XDISTANCE,1115+14*3);
   ObjectSet("S2V",OBJPROP_YDISTANCE,24+8*6+4*6+6);

   ObjectCreate("S3",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("S3","S3",8,"Verdana",SeparColor);
   ObjectSet("S3",OBJPROP_XDISTANCE,1115+16);
   ObjectSet("S3",OBJPROP_YDISTANCE,24+8*7+4*7+6);

   ObjectCreate("S3V",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("S3V",OBJPROP_XDISTANCE,1115+14*3);
   ObjectSet("S3V",OBJPROP_YDISTANCE,24+8*7+4*7+6);
//------------------------------------------------------------------------------------------  
   ObjectCreate("MyCopyright",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("MyCopyright"," Trend Analysis (v 2.0)",8,"Verdana",Pink);
   ObjectSet("MyCopyright",OBJPROP_XDISTANCE,8);
   ObjectSet("MyCopyright",OBJPROP_YDISTANCE,12*8+4*12);
   return;
  }
//+------------------------------------------------------------------+
//| yesterday -  /                                       |
//+------------------------------------------------------------------+
void CreateValues()
  {
//------------------------------------------------------------------------------------------------------- Pivots
   double dayclos=iClose(NULL,PERIOD_D1,1);
   double dayhigh=iHigh(NULL,PERIOD_D1,1);
   double daylow=iLow(NULL,PERIOD_D1,1);
   double PP = NormalizeDouble((dayhigh + daylow + dayclos)/3,Digits);
   double R1 = NormalizeDouble((2*PP)-daylow,Digits);
   double S1 = NormalizeDouble((2*PP)-dayhigh,Digits);
   double R2 = NormalizeDouble(PP+(dayhigh-daylow),Digits);
   double S2 = NormalizeDouble(PP-(dayhigh-daylow),Digits);
   double R3 = NormalizeDouble(2*PP+(dayhigh-2*daylow),Digits);
   double S3 = NormalizeDouble(2*PP-(2*dayhigh-daylow),Digits);

   ObjectSetText("R3V",DoubleToStr(R3,4),8,"Verdana",SeparColor);
   ObjectSetText("R2V",DoubleToStr(R2,4),8,"Verdana",SeparColor);
   ObjectSetText("R1V",DoubleToStr(R1,4),8,"Verdana",SeparColor);
   ObjectSetText("PPV",DoubleToStr(PP,4),8,"Verdana",SeparColor);
   ObjectSetText("S1V",DoubleToStr(S1,4),8,"Verdana",SeparColor);
   ObjectSetText("S2V",DoubleToStr(S2,4),8,"Verdana",SeparColor);
   ObjectSetText("S3V",DoubleToStr(S3,4),8,"Verdana",SeparColor);
////////////////////-----------------------------------------------------------------     
   ObjectCreate("BalanceV",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSet("BalanceV",OBJPROP_XDISTANCE,1190+8*5);
   ObjectSet("BalanceV",OBJPROP_YDISTANCE,12*8+4*12);

   if(AccountCurrency()=="RUR")
     {
      ObjectSetText("BalanceV",DoubleToStr(NormalizeDouble(AccountBalance()/iClose("USDRUR",PERIOD_D1,1),2),2)+"$",8,"Verdana",Pink);
     }
   if(AccountCurrency()=="EUR")
     {
      ObjectSetText("BalanceV",DoubleToStr(NormalizeDouble(AccountBalance()*iClose("EURUSD",PERIOD_D1,1),2),2)+"$",8,"Verdana",Pink);
     }
   if(AccountCurrency()=="USD")
     {
      ObjectSetText("BalanceV",DoubleToStr(AccountBalance(),2)+"$",8,"Verdana",Pink);
     }

   int Code;
   color CodeColor;
   string Sym;
   if(AccountProfit()/AccountBalance()*100>0)
     { Code=CodeBuy; CodeColor=fstUpColor; Sym="+";}
   else
     { Code=CodeSell;CodeColor=fstDwColor;Sym="";}
   ObjectCreate("ProfitTrend",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("ProfitTrend",CharToStr(Code),16,"Wingdings",CodeColor);
   ObjectSet("ProfitTrend",OBJPROP_XDISTANCE,1205+8*6);
   ObjectSet("ProfitTrend",OBJPROP_YDISTANCE,6*7+4*6);
   ObjectCreate("ProfitVolume",OBJ_LABEL,WindowFind(ShortName),0,0);
   ObjectSetText("ProfitVolume",Sym+DoubleToStr(AccountProfit()/AccountBalance()*100,2)+"%",12,"Verdana",Pink);
   ObjectSet("ProfitVolume",OBJPROP_XDISTANCE,1205+8*3);
   ObjectSet("ProfitVolume",OBJPROP_YDISTANCE,6*11+4*6);

   int sum=0;
   int sus=0;
//if(Open[1]<Close[0])
////////////////////////////------------------------------------------------------------------------------------+ 1 
   if(UseCure)
     {
      if(Close[0]>iEnvelopes(NULL,0,ENV,MODE_SMA,0,PRICE_CLOSE,Levenv,MODE_UPPER,1) || Close[0]<iEnvelopes(NULL,0,ENV,MODE_SMA,0,PRICE_CLOSE,Levenv,MODE_LOWER,1))
        {
         if(iEnvelopes(NULL,0,ENV,MODE_SMA,0,PRICE_CLOSE,Levenv,MODE_UPPER,0)>iEnvelopes(NULL,0,ENV,MODE_SMA,0,PRICE_CLOSE,Levenv,MODE_UPPER,1))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+0+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(Close[1]>iEnvelopes(NULL,0,ENV*2,MODE_SMA,0,PRICE_CLOSE,Levenv,MODE_UPPER,1) || Close[1]<iEnvelopes(NULL,0,ENV*2,MODE_SMA,0,PRICE_CLOSE,Levenv,MODE_LOWER,1))
        {
         if(Close[1]>iEnvelopes(NULL,0,ENV*2,MODE_SMA,0,PRICE_CLOSE,Levenv,MODE_UPPER,1))
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+0+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
//////////////////////////---------------------------------------------------------------------------------------+
   if(UseCure)
     {
      if(Close[0]>iMA(NULL,0,IMA,0,MODE_EMA,PRICE_CLOSE,1) || Close[0]<iMA(NULL,0,IMA*2,0,MODE_EMA,PRICE_OPEN,1))
        {
         if(iMA(NULL,0,IMA,0,MODE_EMA,PRICE_CLOSE,1)>iMA(NULL,0,IMA,0,MODE_EMA,PRICE_OPEN,2))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+1+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(Close[1]>iMA(NULL,0,IMA,0,MODE_EMA,PRICE_CLOSE,1) || Close[1]<iMA(NULL,0,IMA*2,0,MODE_EMA,PRICE_OPEN,1))
        {
         if(iMA(NULL,0,IMA,0,MODE_EMA,PRICE_CLOSE,0)>iMA(NULL,0,IMA*1.5,0,MODE_EMA,PRICE_CLOSE,1))
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+1+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
//////////////////////---------------------------------------------------------------------------------------+
   if(UseCure)
     {
      if(iCustom(NULL,0,"Tamples/Turbo_JRSX",RSX,0,1)>=55 || iCustom(NULL,0,"Tamples/Turbo_JRSX",RSX,0,1)<=45)
        {
         if(iCustom(NULL,0,"Tamples/Turbo_JRSX",RSX,0,0)>iCustom(NULL,0,"Tamples/Turbo_JRSX",RSX,0,1))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++;CodeColor=fstDwColor;}
         ObjectSetText("s"+2+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iCustom(NULL,0,"Tamples/Turbo_JRSX",RSX,0,1)>=55 || iCustom(NULL,0,"Tamples/Turbo_JRSX",RSX,0,1)<=45)
        {
         if(iCustom(NULL,0,"Tamples/Turbo_JRSX",RSX,0,0)>50)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+2+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
///////////////////////////-------------------------------------------------------------------------------------------- 4-FOR_01
   if(UseCure)
     {
      if(iForce(NULL,0,FOR,MODE_SMA,PRICE_CLOSE,1)>=+Levfor || iForce(NULL,0,FOR,MODE_SMA,PRICE_CLOSE,1)<=-Levfor)
        {
         if(iForce(NULL,0,FOR,MODE_SMA,PRICE_CLOSE,1)>iForce(NULL,0,FOR,MODE_SMA,PRICE_OPEN,2))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+3+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iForce(NULL,0,FOR,MODE_SMA,PRICE_CLOSE,1)>=+Levfor || iForce(NULL,0,FOR,MODE_SMA,PRICE_CLOSE,1)<=-Levfor)
        {
         if(iForce(NULL,0,FOR,MODE_SMA,PRICE_CLOSE,1)>0.0)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+3+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
/////////////////////////------------------------------------------------------------------------------------------- Ind=10 
   if(UseCure)
     {
      if(iADX(NULL,0,ADX,PRICE_CLOSE,MODE_MAIN,1)>=20)
        {
         if(iADX(NULL,0,ADX,PRICE_CLOSE,MODE_PLUSDI,1)>iADX(NULL,0,ADX,PRICE_CLOSE,MODE_MINUSDI,1))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+4+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iADX(NULL,0,ADX*1.5,PRICE_CLOSE,MODE_MAIN,1)>=20)
        {
         if(iADX(NULL,0,ADX*1.5,PRICE_CLOSE,MODE_MAIN,1)>iADX(NULL,0,ADX*1.5,PRICE_CLOSE,MODE_MAIN,3)
            && iADX(NULL,0,ADX*1.5,PRICE_CLOSE,MODE_PLUSDI,1)>iADX(NULL,0,ADX*1.5,PRICE_CLOSE,MODE_MINUSDI,1))
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+4+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
/////////////////////////-------------------------------------------------------------------------------------+ 
   if(UseCure)
     {
      if(iCustom(NULL,0,"Window/Bull Bear Trend",BBP,0,0,1)>=+Levbbp || iCustom(NULL,0,"Window/Bull Bear Trend",BBP,0,0,1)<=-Levbbp)
        {
         if(iCustom(NULL,0,"Window/Bull Bear Trend",BBP,0,1,0)>iCustom(NULL,0,"Window/Bull Bear Trend",BBP,0,0,1))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+5+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iCustom(NULL,0,"Window/Bull Bear Trend",BBP,0,1,1)>=+Levbbp || iCustom(NULL,0,"Window/Bull Bear Trend",BBP,0,1,1)<=-Levbbp)
        {
         if(iCustom(NULL,0,"Window/Bull Bear Trend",BBP,0,1,1)>0)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+5+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
//////////////////////////////////--------------------------------------------------------------------------------- Ind=14
   if(UseCure)
     {
      if(iStochastic(NULL,0,STO*2,STO,STO+1,MODE_SMA,0,MODE_SIGNAL,1)>=55 || iStochastic(NULL,0,STO*2,STO,STO+1,MODE_SMA,0,MODE_SIGNAL,1)<=45)
        {
         if(iStochastic(NULL,0,STO*2,STO,STO+1,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,0,STO*2,STO,STO+1,MODE_SMA,0,MODE_SIGNAL,1))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+6+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iStochastic(NULL,0,STO*2,STO,STO+1,MODE_SMA,0,MODE_SIGNAL,1)>=55 || iStochastic(NULL,0,STO*2,STO,STO+1,MODE_SMA,0,MODE_SIGNAL,1)<=45)
        {
         if(iStochastic(NULL,0,STO*2,STO,STO+1,MODE_SMA,0,MODE_SIGNAL,1)>50)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+6+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
/////////////////////////------------------------------------------------------------------------------------------ 16
   if(UseCure)
     {
      if(iOsMA(NULL,0,OSM+3,OSM*3,OSM,PRICE_CLOSE,1)>=+Levosm || iOsMA(NULL,0,OSM+3,OSM*3,OSM,PRICE_CLOSE,1)<=-Levosm)
        {
         if(iOsMA(NULL,0,OSM+3,OSM*3,OSM,PRICE_CLOSE,1)>iOsMA(NULL,0,OSM+3,OSM*3,OSM,PRICE_CLOSE,2))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+7+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iOsMA(NULL,0,OSM+3,OSM*3,OSM,PRICE_CLOSE,1)>=+Levosm || iOsMA(NULL,0,OSM+3,OSM*3,OSM,PRICE_CLOSE,1)<=-Levosm)
        {
         if(iOsMA(NULL,0,OSM+3,OSM*3,OSM,PRICE_CLOSE,1)>0)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+7+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
////////////////////////  ------------------------------------------------------------------------------------------- 18
   if(UseDivirg) {iCustom(NULL,0,"Divirgenc/MACD",Periods,1,0,0,1);}
   if(UseCure)
     {
      if(iMACD(NULL,0,MCD+3,MCD*3,MCD,PRICE_CLOSE,MODE_MAIN,0)>=+Levmcd || iMACD(NULL,0,MCD+3,MCD*3,MCD,PRICE_CLOSE,MODE_MAIN,0)<=-Levmcd)
        {
         if(iMACD(NULL,0,MCD+3,MCD*3,MCD,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,0,MCD+3,MCD*3,MCD,PRICE_CLOSE,MODE_SIGNAL,1))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+8+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iMACD(NULL,0,MCD+3,MCD*3,MCD,PRICE_CLOSE,MODE_MAIN,1)>=+Levmcd || iMACD(NULL,0,MCD+3,MCD*3,MCD,PRICE_CLOSE,MODE_MAIN,1)<=-Levmcd)
        {
         if(iMACD(NULL,0,MCD+3,MCD*3,MCD,PRICE_CLOSE,MODE_MAIN,1)>0)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+8+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
///////////////////////////----------------------------------------------------------------------------------------- 20
   if(UseCure)
     {
      if(iCCI(NULL,0,CCI,PRICE_TYPICAL,1)>=+60 || iCCI(NULL,0,CCI,PRICE_TYPICAL,1)<=-60)
        {
         if(iCCI(NULL,0,CCI,PRICE_CLOSE,1)>iCCI(NULL,0,CCI,PRICE_CLOSE,2))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+9+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iCCI(NULL,0,CCI,PRICE_TYPICAL,1)>=+60 || iCCI(NULL,0,CCI,PRICE_TYPICAL,1)<=-60)
        {
         if(iCCI(NULL,0,CCI,PRICE_TYPICAL,1)>0)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+9+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
///////////////////////////---------------------------------------------------------------------------------------- 22
   if(UseCure)
     {
      if(iMFI(NULL,0,MFI,1)>=+60 || iMFI(NULL,0,MFI,1)<=40)
        {
         if(iMFI(NULL,0,MFI,1)>iMFI(NULL,0,MFI,2) && iMFI(NULL,0,MFI,2)>iMFI(NULL,0,MFI,3))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+10+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iMFI(NULL,0,MFI,1)>=+60 || iMFI(NULL,0,MFI,1)<=40)
        {
         if(iMFI(NULL,0,MFI,1)>50)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+10+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
///////////////////////////---------------------------------------------------------------------------------------- 
   if(UseCure)
     {
      if(iCustom(NULL,0,"Window/ATR Normalize",ATN,0,1)>=55 || iCustom(NULL,0,"Window/ATR Normalize",ATN,0,1)<=45)
        {
         if(iCustom(NULL,0,"Window/ATR Normalize",ATN,0,1)>iCustom(NULL,0,"Window/ATR Normalize",ATN,0,2))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+11+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iCustom(NULL,0,"Window/ATR Normalize",ATN,0,1)>=55 || iCustom(NULL,0,"Window/ATR Normalize",ATN,0,1)<=45)
        {
         if(iCustom(NULL,0,"Window/ATR Normalize",ATN,0,1)>50)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+11+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
////////////////////////------------------------------------------------------------------------------------------- 26
   if(UseCure)
     {
      if(iWPR(NULL,0,WPR,1)>=-35 || iWPR(NULL,0,WPR,1)<=-65)
        {
         if(iWPR(NULL,0,WPR,1)>iWPR(NULL,0,WPR,2))
           {Code=CodeBuy; sum++; CodeColor=fstUpColor;}else{Code=CodeSell; sus++; CodeColor=fstDwColor;}
         ObjectSetText("s"+12+0,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
   if(UseTrend)
     {
      if(iWPR(NULL,0,WPR,1)>=-35 || iWPR(NULL,0,WPR,1)<=-65)
        {
         if(iWPR(NULL,0,WPR,1)>-50)
           {Code=CodeBuy; sum++; CodeColor=slwUpColor;}else{Code=CodeSell; sus++; CodeColor=slwDwColor;}
         ObjectSetText("s"+12+1,CharToStr(Code),8,"Wingdings",CodeColor);
        }
     }
//////////////////////----------------------------------------------------------------------------------------+
   if(iHigh(NULL,PERIOD_M15,0)>iHigh(NULL,PERIOD_M15,5) || iLow(NULL,PERIOD_M15,0)<iLow(NULL,PERIOD_M15,5))
     {
      if(iHigh(NULL,PERIOD_M15,1)>iHigh(NULL,PERIOD_M15,5) && iLow(NULL,PERIOD_M15,1)>iLow(NULL,PERIOD_M15,5))
        {Code=CodeBuy; CodeColor=fstUpColor;}else{Code=CodeSell; CodeColor=fstDwColor;}
      ObjectSetText("s"+13+0,CharToStr(Code),8,"Wingdings",CodeColor);
     }
   if(iHigh(NULL,PERIOD_M15,1)>iHigh(NULL,PERIOD_M15,5) || iLow(NULL,PERIOD_M15,1)<iLow(NULL,PERIOD_M15,5))
     {
      if(iHigh(NULL,PERIOD_M15,1)>iHigh(NULL,PERIOD_M15,6) && iLow(NULL,PERIOD_M15,1)>iLow(NULL,PERIOD_M15,6))
        {Code=CodeBuy; CodeColor=slwUpColor;}else{Code=CodeSell; CodeColor=slwDwColor;}
      ObjectSetText("s"+13+1,CharToStr(Code),8,"Wingdings",CodeColor);
     }
//---
   if(iHigh(NULL,PERIOD_M30,0)>iHigh(NULL,PERIOD_M30,5) || iLow(NULL,PERIOD_M30,0)<iLow(NULL,PERIOD_M30,5))
     {
      if(iHigh(NULL,PERIOD_M30,0)>iHigh(NULL,PERIOD_M30,6) && iLow(NULL,PERIOD_M30,0)>iLow(NULL,PERIOD_M30,6))
        {Code=CodeBuy; CodeColor=drkUpColor;}else{Code=CodeSell; CodeColor=drkDwColor;}
      ObjectSetText("s"+14+0,CharToStr(Code),8,"Wingdings",CodeColor);
     }
   if(iHigh(NULL,PERIOD_M30,1)>iHigh(NULL,PERIOD_M30,5) || iLow(NULL,PERIOD_M30,1)<iLow(NULL,PERIOD_M30,5))
     {
      if(iHigh(NULL,PERIOD_M30,1)>iHigh(NULL,PERIOD_M30,7) && iLow(NULL,PERIOD_M30,1)>iLow(NULL,PERIOD_M30,7))
        {Code=CodeBuy; CodeColor=drkUpColor;}else{Code=CodeSell; CodeColor=drkDwColor;}
      ObjectSetText("s"+14+1,CharToStr(Code),8,"Wingdings",CodeColor);
     }
//---
   if(iHigh(NULL,PERIOD_H1,0)>iHigh(NULL,PERIOD_H1,5) || iLow(NULL,PERIOD_H1,0)<iLow(NULL,PERIOD_H1,5))
     {
      if(iHigh(NULL,PERIOD_H1,0)>iHigh(NULL,PERIOD_H1,7) && iLow(NULL,PERIOD_H1,0)>iLow(NULL,PERIOD_H1,7))
        {Code=CodeBuy; CodeColor=drkUpColor;}else{Code=CodeSell; CodeColor=drkDwColor;}
      ObjectSetText("s"+15+0,CharToStr(Code),8,"Wingdings",CodeColor);
     }
   if(iHigh(NULL,PERIOD_H1,1)>iHigh(NULL,PERIOD_H1,5) || iLow(NULL,PERIOD_H1,1)<iLow(NULL,PERIOD_H1,5))
     {
      if(iHigh(NULL,PERIOD_H1,1)>iHigh(NULL,PERIOD_H1,8) && iLow(NULL,PERIOD_H1,1)>iLow(NULL,PERIOD_H1,8))
        {Code=CodeBuy; CodeColor=drkUpColor;}else{Code=CodeSell; CodeColor=drkDwColor;}
      ObjectSetText("s"+15+1,CharToStr(Code),8,"Wingdings",CodeColor);
     }
//---
   if(iHigh(NULL,PERIOD_H4,0)>iHigh(NULL,PERIOD_H4,5) || iLow(NULL,PERIOD_H4,0)<iLow(NULL,PERIOD_H4,5))
     {
      if(iHigh(NULL,PERIOD_H4,0)>iHigh(NULL,PERIOD_H4,7) && iLow(NULL,PERIOD_H4,0)>iLow(NULL,PERIOD_H4,7))
        {Code=CodeBuy; CodeColor=drkUpColor;}else{Code=CodeSell; CodeColor=drkDwColor;}
      ObjectSetText("s"+16+0,CharToStr(Code),8,"Wingdings",CodeColor);
     }
   if(iHigh(NULL,PERIOD_H4,1)>iHigh(NULL,PERIOD_H4,5) || iLow(NULL,PERIOD_H4,1)<iLow(NULL,PERIOD_H4,5))
     {
      if(iHigh(NULL,PERIOD_H4,1)>iHigh(NULL,PERIOD_H4,8) && iLow(NULL,PERIOD_H4,1)>iLow(NULL,PERIOD_H4,8))
        {Code=CodeBuy; CodeColor=drkUpColor;}else{Code=CodeSell; CodeColor=drkDwColor;}
      ObjectSetText("s"+16+1,CharToStr(Code),8,"Wingdings",CodeColor);
     }
/////////////////////////-----------------------------------------------------------------------------   
   double UpPer=0,DwPer=0;
   UpPer=NormalizeDouble(sum*100/Ind,1);
   DwPer=NormalizeDouble(sus*100/Ind,1);
   ObjectSetText("UpPer",DoubleToStr(UpPer,0)+"%",8,"Verdana",SeparColor);
   ObjectSetText("DwPer",DoubleToStr(DwPer,0)+"%",8,"Verdana",SeparColor);
//Comment("NtPER ",NtPer, "  SUM  ",sum, "  SUS  ",sus, "  UpPer  ",UpPer,"  DwPer ",DwPer , "  DwPe2  ",DwPe2);

   if(UpPer==DwPer)
     {
      ObjectSetText("Trend","S",12,"Verdana",Gray); RefreshRates();
     }
//---
   if(UpPer>DwPer && (count==0 || count==-1))
     {
      count=1;
      ObjectSetText("Trend",CharToStr(CodeBuy),16,"Wingdings",slwUpColor); //Alert(" UP");
     }
//else if(UpPer<DwPer && (count==0 || count==1))
   if(UpPer<DwPer && (count==0 || count==1))
     {
      count=-1;
      ObjectSetText("Trend",CharToStr(CodeSell),16,"Wingdings",slwDwColor); //Alert(" DW");
     }
/* 
/////////////////////--------------------------------------------------------------------------------------+
   if(Monitor==true)
     {
      string Ls_72;
      string
      str="UpPer  -  "+DoubleToStr(UpPer,0); ObjectSetText("0",str,7,"Arial Black",Silver);
      str="DwPer  -  "+DoubleToStr(DwPer,0); ObjectSetText("1",str,7,"Arial Black",Silver);
      str="NtPe1  -  "+DoubleToStr(NtPer1,0); ObjectSetText("2",str,7,"Arial Black",Silver);
      str="BUYs   -  "+DoubleToStr(sum,0); ObjectSetText("3",str,7,"Arial Black",Gray);
      str="SELs   -  "+DoubleToStr(sus,0); ObjectSetText("4",str,7,"Arial Black",Gray);
      str="NtPe2   -  "+DoubleToStr(NtPer2,0); ObjectSetText("5",str,7,"Arial Black",Gray);
      str="NtPe3   -  "+DoubleToStr(NtPer3,0); ObjectSetText("6",str,7,"Arial Black",Gray);
      //---
      for(int count_80=0; count_80<=MathMod(Seconds(),20); count_80++) Ls_72=Ls_72+"/";
      str="Status: "+Ls_72+" "; ObjectSetText("7",str,7,"Arial Black",Gold); // 
     }
    */
   return;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int init()
  {
   count=0;
   IndicatorShortName(ShortName);
   SetIndexBuffer(0,UPBuffer);
   SetIndexBuffer(1,DOWNBuffer);

   RefreshRates();
   if(Period()==5)   {Levenv=0.01; Levfor=0.005; Levbbp=0.0001; Levmcd=0.00005; Levosm=0.00002;}
   if(Period()==15)  {Levenv=0.02; Levfor=0.020; Levbbp=0.0003; Levmcd=0.00007; Levosm=0.00005;}
   if(Period()==30)  {Levenv=0.03; Levfor=0.050; Levbbp=0.0006; Levmcd=0.00010; Levosm=0.00007;}
   if(Period()==60)  {Levenv=0.04; Levfor=0.100; Levbbp=0.0010; Levmcd=0.00020; Levosm=0.00010;}
   if(Period()==240) {Levenv=0.10; Levfor=1.000; Levbbp=0.0020; Levmcd=0.00030; Levosm=0.00020;}
/*
///////////////////--- extern bool Monitor = true; --------------------------------+
   if(Monitor==true && !IsOptimization())
     {
      int a,y;
      for(a=0,y=20; a<=7; a++) //   ()    () 
        {
         string N=DoubleToStr(a,0);
         ObjectCreate(N,OBJ_LABEL,0,0,0,0,0);
         ObjectSet(N,OBJPROP_CORNER,0);
         ObjectSet(N,OBJPROP_XDISTANCE,5);
         ObjectSet(N,OBJPROP_YDISTANCE,y);
         y+=20;
        }
     }
  */
   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars=IndicatorCounted();
   CreateTable();
   CreateCaptions();
   CreateValues();
   return(0);
  }
//+------------------------------------------------------------------+
